Move Deal
POST
/api/pipeline/deals/{deal_id}/move
const url = 'https://example.com/api/pipeline/deals/example/move';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"to_stage_id":"example","org_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/pipeline/deals/example/move \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "to_stage_id": "example", "org_id": "example" }'Move a deal to a different pipeline stage.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”deal_id
required
Deal Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
MoveDealRequest
object
to_stage_id
required
To Stage Id
string
org_id
required
Org Id
string
Examplegenerated
{ "to_stage_id": "example", "org_id": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
StageAssignmentResponse
object
deal_id
required
Deal Id
string
stage_id
required
Stage Id
string
stage_name
required
Stage Name
string
assigned_at
required
Assigned At
string
Examplegenerated
{ "deal_id": "example", "stage_id": "example", "stage_name": "example", "assigned_at": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}